# log4cpp::threading::MSMutex Class Reference

A simple object wrapper around CreateMutex() and DeleteMutex(). More...

`#include <MSThreads.hh>`

List of all members.

## Public Member Functions

| MSMutex ()
| ~MSMutex ()
LPCRITICAL_SECTION | getCriticalSection ()

## Detailed Description

A simple object wrapper around CreateMutex() and DeleteMutex().

## Constructor & Destructor Documentation

log4cpp::threading::MSMutex::MSMutex | ( |  | ) | `[inline]`

log4cpp::threading::MSMutex::~MSMutex | ( |  | ) | `[inline]`

## Member Function Documentation

LPCRITICAL_SECTION log4cpp::threading::MSMutex::getCriticalSection | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- MSThreads.hh